## org.apache.lucene.analysis.shingle
Class ShingleMatrixFilter.Matrix.Column.Row

    java.lang.Object
      org.apache.lucene.analysis.shingle.ShingleMatrixFilter.Matrix.Column.Row

Enclosing class:
  ShingleMatrixFilter.Matrix.Column

    public class ShingleMatrixFilter.Matrix.Column.Row

extends Object

Constructor Summary
`ShingleMatrixFilter.Matrix.Column.Row()`

Method Summary
`ShingleMatrixFilter.Matrix.Column` `getColumn()`
`int` `getIndex()`
`List<Token>` `getTokens()`
`void` `setTokens(List<Token> tokens)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShingleMatrixFilter.Matrix.Column.Row

    public ShingleMatrixFilter.Matrix.Column.Row()

Method Detail

### getColumn

    public ShingleMatrixFilter.Matrix.Column getColumn()

### getIndex

    public int getIndex()

### getTokens

    public List<Token> getTokens()

### setTokens

    public void setTokens(List<Token> tokens)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`